classification
Title: unable to specify another compiler
Type: enhancement Stage: resolved
Components: Distutils, Documentation Versions: Python 3.10, Python 3.9
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, doko, eric.araujo, steve.dower, tarek, terry.reedy
Priority: normal Keywords: easy

Created on 2003-06-30 07:19 by doko, last changed 2021-02-03 18:04 by steve.dower. This issue is now closed.

Messages (5)
msg60352 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2003-06-30 07:19
[forwarded from http://bugs.debian.org/197537]

Assume, python was built using `gcc' (version 3.3), but
an extension module needs to be built using `gcc-2.95',
because the library it depends on is still built by
g++-2.95, which has another ABI than g++-3.3.

I'm unable (or fail to see how) I can overwrite the
compiler used by distutils.
msg112433 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-08-02 09:03
The bug has been fixed in 2.3, apparently it’s a doc bug now, so reassigning.
msg183893 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-03-10 19:59
Is this still relevant, or should it be closed?

I no 0 idea what either of you think should be changed in the docs and where, and I suspect the same would be true of any other non-disutils expert, so if a patch is needed, it should come from one you two (Matthias?).

Meththias, you are not marked as having a Contributor Agreement on file. Paper forms were lost some years ago. I had to re-submit too. It is even easier now. http://www.python.org/psf/contrib/
msg183927 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-03-11 04:37
Starting with Python 2.3, environment variables like CC (familiar to people compiling C projects on unix) are respected.  That’s what I think should be added to the distutils docs, maybe in the reference doc for build_ext, or in the narrative doc talking about extension modules.
msg386237 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:04
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:04:27steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386237

resolution: out of date
stage: resolved
2020-11-01 01:07:10iritkatrielsetversions: + Python 3.9, Python 3.10, - Python 2.7, Python 3.2
2013-03-11 04:37:25eric.araujosetmessages: + msg183927
2013-03-10 19:59:25terry.reedysetnosy: + terry.reedy

messages: + msg183893
versions: - Python 3.1
2010-08-02 09:03:01eric.araujosetversions: + Python 3.2
nosy: + docs@python, eric.araujo

messages: + msg112433

assignee: tarek -> docs@python
2009-02-05 16:54:22tareksetassignee: tarek
versions: - Python 2.6, Python 3.0
2009-02-05 16:51:19akitadasetnosy: + tarek
versions: + Python 3.0, Python 3.1, Python 2.7
2008-01-20 18:51:47christian.heimessetkeywords: + easy
type: enhancement
components: + Documentation
versions: + Python 2.6, - Python 2.3
2003-06-30 07:19:42dokocreate